<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="ftp" id="tracked-files">

 <lire:title>Tracked Files FTP Report</lire:title>

 <lire:description>
  <para>This report shows each download of tracked files.</para>
 </lire:description>

 <lire:param-spec>

  <lire:param name="tracked_file_re" type="string" default=".*">
   <lire:description>
    <para>This parameter controls which files will be included
     in the report.
    </para>
   </lire:description>
  </lire:param>
  
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Downloads By Tracked File ($tracked_file_re)</lire:title>
 </lire:display-spec>

 <lire:filter-spec>
  <lire:match value="$filename" re="$tracked_file_re" case-sensitive="no"/>
 </lire:filter-spec>

 <lire:report-calc-spec>
  <lire:group sort="-download">
   <lire:field name="filename"/>
   <lire:records fields="time username"/>
   <lire:count name="download" label="Downloads"/>
  </lire:group>

 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
Keep this comment at the end of the file
Local variables:
mode: xml
-->
